org.h2.build.code

## Class SwitchSource

- java.lang.Object
- - org.h2.build.code.SwitchSource

    public class SwitchSource
    extends java.lang.Object

Switched source code to a specific Java version, automatically to the current version, or enable / disable other blocks of source code in Java files.

### Constructor Summary

Constructors
Constructor and Description
`SwitchSource()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SwitchSource

    public SwitchSource()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.io.IOException

This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `java.io.IOException`